<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <script src="https://unpkg.com/vue"></script>
    <title>Document</title>
</head>
<body>
    <div id="app">
           <p>tăng giá trị của counter khi nhấn button click: {{counter}}</p> <br>
           <br><input type="text" v-focus/>
        <child v-on:click.native="countPlus"></child>
        
    </div>
    <script>
        // khởi tạo component
        Vue.component('child', {
            template:'<button>click</button>'
        })
      
    new Vue({
        el:'#app',
        data:{
            counter:0,
        },
        methods: {
            countPlus: function(){
                this.counter += 1
            }
        },
        directives:{
            focus:{
                inserted: function(el){
                    el.focus()
                }
            }
        }
    })
    </script>
</body>
</html>